Index: src/Fragmentation/Exporters/ExportGraph.hpp
===================================================================
--- src/Fragmentation/Exporters/ExportGraph.hpp	(revision 3dadd5a84cf7d86e22653ada5a8baa486b85d081)
+++ src/Fragmentation/Exporters/ExportGraph.hpp	(revision c24071dff92b7e08e6bf43f2274ba053f7cd34e0)
@@ -48,5 +48,5 @@
   typedef boost::shared_ptr<SaturatedFragment> SaturatedFragment_ptr;
 
-  virtual void operator()()=0;
+  virtual bool operator()()=0;
 
   /** Returns a saturated fragment for immediate use only.
Index: src/Fragmentation/Exporters/ExportGraph_ToAtomFragments.cpp
===================================================================
--- src/Fragmentation/Exporters/ExportGraph_ToAtomFragments.cpp	(revision 3dadd5a84cf7d86e22653ada5a8baa486b85d081)
+++ src/Fragmentation/Exporters/ExportGraph_ToAtomFragments.cpp	(revision c24071dff92b7e08e6bf43f2274ba053f7cd34e0)
@@ -57,5 +57,5 @@
 {}
 
-void ExportGraph_ToAtomFragments::operator()()
+bool ExportGraph_ToAtomFragments::operator()()
 {
   AtomFragmentsMap &atomfragments = AtomFragmentsMap::getInstance();
@@ -92,5 +92,6 @@
   if (CurrentFragment == NULL) {
     ELOG(1, "Some error while obtaining the next fragment occured.");
-    return;
+    return false;
   }
+  return true;
 }
Index: src/Fragmentation/Exporters/ExportGraph_ToAtomFragments.hpp
===================================================================
--- src/Fragmentation/Exporters/ExportGraph_ToAtomFragments.hpp	(revision 3dadd5a84cf7d86e22653ada5a8baa486b85d081)
+++ src/Fragmentation/Exporters/ExportGraph_ToAtomFragments.hpp	(revision c24071dff92b7e08e6bf43f2274ba053f7cd34e0)
@@ -42,5 +42,5 @@
   virtual ~ExportGraph_ToAtomFragments();
 
-	void operator()();
+	bool operator()();
 };
 
Index: src/Fragmentation/Exporters/ExportGraph_ToFiles.cpp
===================================================================
--- src/Fragmentation/Exporters/ExportGraph_ToFiles.cpp	(revision 3dadd5a84cf7d86e22653ada5a8baa486b85d081)
+++ src/Fragmentation/Exporters/ExportGraph_ToFiles.cpp	(revision c24071dff92b7e08e6bf43f2274ba053f7cd34e0)
@@ -103,5 +103,5 @@
 /** Actual implementation of the export to files function.
  */
-void ExportGraph_ToFiles::operator()()
+bool ExportGraph_ToFiles::operator()()
 {
   LOG(1, "INFO: Writing " << TotalGraph.size() << " possible bond fragmentation configs.");
@@ -136,5 +136,5 @@
   if (CurrentFragment == NULL) {
     ELOG(1, "Some error while obtaining the next fragment occured.");
-    return;
+    return false;
   }
   ForcesFile.close();
@@ -150,4 +150,5 @@
   // restore orbital and Stop values
   //CalculateOrbitals(*configuration);
+  return true;
 }
 
Index: src/Fragmentation/Exporters/ExportGraph_ToFiles.hpp
===================================================================
--- src/Fragmentation/Exporters/ExportGraph_ToFiles.hpp	(revision 3dadd5a84cf7d86e22653ada5a8baa486b85d081)
+++ src/Fragmentation/Exporters/ExportGraph_ToFiles.hpp	(revision c24071dff92b7e08e6bf43f2274ba053f7cd34e0)
@@ -37,5 +37,5 @@
 	virtual ~ExportGraph_ToFiles();
 
-	void operator()();
+	bool operator()();
 
 	void setPrefix(const std::string &_prefix) {
Index: src/Fragmentation/Exporters/ExportGraph_ToJobs.cpp
===================================================================
--- src/Fragmentation/Exporters/ExportGraph_ToJobs.cpp	(revision 3dadd5a84cf7d86e22653ada5a8baa486b85d081)
+++ src/Fragmentation/Exporters/ExportGraph_ToJobs.cpp	(revision c24071dff92b7e08e6bf43f2274ba053f7cd34e0)
@@ -68,5 +68,5 @@
 {}
 
-void ExportGraph_ToJobs::operator()()
+bool ExportGraph_ToJobs::operator()()
 {
   std::vector<FragmentJob::ptr> jobs;
@@ -131,8 +131,10 @@
   if (CurrentFragment == NULL) {
     ELOG(1, "Some error while obtaining the next fragment occured.");
-    return;
+    return false;
   }
 
   // push final jobs
   FragmentJobQueue::getInstance().addJobs(jobs, KeySets, FullKeySets);
+
+  return true;
 }
Index: src/Fragmentation/Exporters/ExportGraph_ToJobs.hpp
===================================================================
--- src/Fragmentation/Exporters/ExportGraph_ToJobs.hpp	(revision 3dadd5a84cf7d86e22653ada5a8baa486b85d081)
+++ src/Fragmentation/Exporters/ExportGraph_ToJobs.hpp	(revision c24071dff92b7e08e6bf43f2274ba053f7cd34e0)
@@ -44,5 +44,5 @@
   virtual ~ExportGraph_ToJobs();
 
-	void operator()();
+	bool operator()();
 
   /** Sets the level for the sampling of the density.
